import React, {useState, useEffect} from 'react';
import { json } from 'd3';
import { feature, mesh } from 'topojson';

const jsonUrl = "https://gist.githubusercontent.com/DragonEnergy/eacc955ed45af44e754d61ffe3c1209a/raw/33f71e29ea9c305baa9e7dc1a6ebf75edb5745fb/MexicoStates.json";

export const useData = () => {

  const [data, setData] = useState(null);
  
  console.log(data);
	
  useEffect(() => {
    json(jsonUrl).then(land => {
      console.log(land)
      const { mexstates } = land.objects;
      
    	setData(feature(land, mexstates))
    })
  }, []);
  
  return data
}

        // json(jsonUrl).then(topology => {
        // 	const { countries, land } = topology.objects; 
        //   setData({
        //   land: feature(topology, land),
        //   interiors: mesh(topology, countries, (a, b) => a !== b)
        //   })
        // });